summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2013-11-15 00:54:38 -0600
committer Robby Workman <rworkman@slackbuilds.org>2013-11-24 00:07:11 -0600
commitb2b3af6447e8b358f00cb42bab159695f40fd71b (patch)
tree01e2df6034306baa08b2a6c0a40c353ccbc76389
parent0d5e97fc3526ea459da777dccba1cb89e1459cf7 (diff)
downloadslackbuilds-b2b3af6447e8b358f00cb42bab159695f40fd71b.tar.gz
slackbuilds-b2b3af6447e8b358f00cb42bab159695f40fd71b.tar.xz
ruby/ruby-gtk2: Removed (build failure)
There's a newer version available, but it's not a drop-in replacement, so Batts is going to have to bat this one around a bit ;-) Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--ruby/ruby-gtk2/README8
-rw-r--r--ruby/ruby-gtk2/ruby-gtk2.SlackBuild54
-rw-r--r--ruby/ruby-gtk2/ruby-gtk2.info10
-rw-r--r--ruby/ruby-gtk2/slack-desc19
4 files changed, 0 insertions, 91 deletions
diff --git a/ruby/ruby-gtk2/README b/ruby/ruby-gtk2/README
deleted file mode 100644
index 739f55c30b..0000000000
--- a/ruby/ruby-gtk2/README
+++ /dev/null
@@ -1,8 +0,0 @@
-ruby-gtk2 (ruby bindings for gtk2)
-
-This is a subset of the Ruby-GNOME2 project. Ruby-GNOME2 is a set of
-Ruby language bindings for the GNOME 2.0 development environment.
-This is the next generation of Ruby-GNOME.
-
-Included libraries are Ruby/GLib2, Ruby/ATK, Ruby/Pango, Ruby/GdkPixbuf2,
-and Ruby/GTK2.
diff --git a/ruby/ruby-gtk2/ruby-gtk2.SlackBuild b/ruby/ruby-gtk2/ruby-gtk2.SlackBuild
deleted file mode 100644
index 6ae7521d12..0000000000
--- a/ruby/ruby-gtk2/ruby-gtk2.SlackBuild
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-
-# Slackware build script for ruby-gtk2
-
-# Written by Vincent Batts, vbatts@hashbangbash.com
-
-PRGNAM=ruby-gtk2
-VERSION=${VERSION:-0.19.3}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-set -e
-
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
-chown -R root:root .
-find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-ruby extconf.rb
-make
-make install DESTDIR=$PKG
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS COPYING.LIB ChangeLog NEWS README \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ruby/ruby-gtk2/ruby-gtk2.info b/ruby/ruby-gtk2/ruby-gtk2.info
deleted file mode 100644
index 42e88dd6a0..0000000000
--- a/ruby/ruby-gtk2/ruby-gtk2.info
+++ /dev/null
@@ -1,10 +0,0 @@
-PRGNAM="ruby-gtk2"
-VERSION="0.19.3"
-HOMEPAGE="http://ruby-gnome2.sourceforge.jp/"
-DOWNLOAD="http://downloads.sourceforge.net/sourceforge/ruby-gnome2/ruby-gtk2-0.19.3.tar.gz"
-MD5SUM="1c0fdd888bf8ee1c49dc9b516a6e6d88"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Vincent Batts"
-EMAIL="vbatts@hashbangbash.com"
diff --git a/ruby/ruby-gtk2/slack-desc b/ruby/ruby-gtk2/slack-desc
deleted file mode 100644
index 03db6d4035..0000000000
--- a/ruby/ruby-gtk2/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
- |-----handy-ruler------------------------------------------------------|
-ruby-gtk2: ruby-gtk2 (ruby bindings for gtk2)
-ruby-gtk2:
-ruby-gtk2: This is a subset of the Ruby-GNOME2 project. Ruby-GNOME2 is a set of
-ruby-gtk2: Ruby language bindings for the GNOME 2.0 development environment.
-ruby-gtk2:
-ruby-gtk2: This is the next generation of Ruby-GNOME.
-ruby-gtk2:
-ruby-gtk2: Homepage: http://ruby-gnome2.sourceforge.jp/
-ruby-gtk2:
-ruby-gtk2:
-ruby-gtk2: